apiVersion: v1
kind: Service
metadata:
  labels:
    app.cvcloud.io/name: codeserver
  name: codeserver-iwai-cks
  namespace: iwai
  ownerReferences:
    - apiVersion: apps.cks.cvlab/v2beta1
      blockOwnerDeletion: true
      controller: true
      kind: MachineLearning
      name: machinelearning-iwai
      uid: 1777d677-746d-47a8-9b1a-846412c1a1cc
spec:
  ports:
    - port: 80
      protocol: TCP
      targetPort: 8888
  selector:
    app.cvcloud.io/name: codeserver
  sessionAffinity: None
  type: ClusterIP
